Priestess Restina:
The Elves of Innadril originally came here from the Elven Forest around ED. 1200. Tetrarch Terestien and his young followers settled in the Emerald Forest near Innadril Lake. This was the beginning of the Elven migration to Innadril. Since our peoples share a devotion to the goddess we have always gotten along well. Over time intermarriage between the races has given most of the people of this area some Elven ancestry. This has enhanced both their beauty and lifespan.
Return